// MyDBAppSet.cpp : implementation of the CMyDBAppSet class
//

#include "stdafx.h"
#include "MyDBApp.h"
#include "MyDBAppSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyDBAppSet implementation

IMPLEMENT_DYNAMIC(CMyDBAppSet, CRecordset)

CMyDBAppSet::CMyDBAppSet(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CMyDBAppSet)
	m_au_lname = _T("");
	m_au_fname = _T("");
	m_phone = _T("");
	m_address = _T("");
	m_city = _T("");
	m_state = _T("");
	m_zip = _T("");
	m_nFields = 7;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}

CString CMyDBAppSet::GetDefaultConnect()
{
	return _T("ODBC;DSN=MyDSN");
}

CString CMyDBAppSet::GetDefaultSQL()
{
	return _T("[dbo].[authors]");
}

void CMyDBAppSet::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CMyDBAppSet)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Text(pFX, _T("[au_lname]"), m_au_lname);
	RFX_Text(pFX, _T("[au_fname]"), m_au_fname);
	RFX_Text(pFX, _T("[phone]"), m_phone);
	RFX_Text(pFX, _T("[address]"), m_address);
	RFX_Text(pFX, _T("[city]"), m_city);
	RFX_Text(pFX, _T("[state]"), m_state);
	RFX_Text(pFX, _T("[zip]"), m_zip);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CMyDBAppSet diagnostics

#ifdef _DEBUG
void CMyDBAppSet::AssertValid() const
{
	CRecordset::AssertValid();
}

void CMyDBAppSet::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
